default:
  services:
    - name: ${CI_DEPENDENCY_PROXY_DIRECT_GROUP_IMAGE_PREFIX}/docker:23.0-dind
      alias: docker

variables:
  DOCKER_TLS_CERTDIR: ''
  DOCKER_HOST: tcp://docker:2375/
  DOCKER_DRIVER: overlay2

stages:
  - deploy

pages:
  image: node:lts
  stage: deploy
  environment:
    name: landing-page-rec
    url: https://web-et-numerique.forge-pages.grandlyon.com/factory/llle_project/ecolyo_landing_page/
  before_script:
    - npm i sass
  script:
    - npx sass ./scss:public
  artifacts:
    paths:
      # The folder that contains the files to be exposed at the Page URL
      - public
  only:
    - dev
    - merge_requests
